import type { CapacitorConfig } from '@capacitor/cli';

const config: CapacitorConfig = {
  appId: 'com.whyc.lock',
  appName: 'Lock App',
  webDir: 'dist',
  plugins:{
    Bluetooth: {
      enabled: true
    },
    CapacitorBarcodeScanner: {
      enabled: true
    },
    Camera: {
      enabled: true
    },
    'barcode-scanner': {
      formats: ['qr', 'ean', 'upc', 'pdf417', 'code39', 'code128', 'aztec', 'datamatrix'],
      presentationStyle: 'fullScreen',
      preferFrontCamera: false
    },
    CapacitorAssets: {
      android: {
        icon: {
          sources: ["resources/icon.png"]
        }
      }
    }
  },
  // plugins: [
  //   '@capacitor-community/bluetooth',
  // ],
  server: {
    // url: 'http://localhost',
    androidScheme: 'http',
    cleartext: true,
    allowNavigation: [
      "*",
      "*://192.168.10.86:6666/*",
      "*://192.168.10.86:8888/*",
      "*://192.168.10.82:8100/*",
      "*://192.168.10.82:8443/*"
    ]
  },
  android: {
    buildOptions: {
      // keystorePath: '../myapp2.keystore',
      // keystorePassword: '123456',
      // keystoreAlias: 'myapp2',
      // keystoreAliasPassword: '123456'
    },
  }
};

export default config;
